{
  "name" : "Anhänge",
  "configKey" : "attachments",
  "page" : 0,
  "components" : [ {
    "dropzoneConfig" : {
      "maxFilesize" : "10",
      "dictDefaultMessage" : "Dateien zum Anhängen/Hochladen ablegen oder durchsuchen",
      "dictHelpText" : "Maximale Dateigröße: {{config.maxFilesize}}MB. Akzeptierte Dateitypen: Office-Dokumente und Bilder.",
      "acceptedFiles" : ".pdf, .doc, .docx, .xls, .xlsx, .ppt, .pptx, image/*, .csv, .xml, .txt",
      "paramName" : "content",
      "url" : "api/scope/{{context.scopeId}}/process/{{context.processId}}/attachment"
    },
    "columns" : [ {
      "name" : "Name",
      "property" : "name",
      "value" : "",
      "type" : "filename",
      "width" : "20%"
    }, {
      "name" : "Erstellt am",
      "property" : "creationDate",
      "type" : "date",
      "value" : "{{moment(creationDate).format('DD.MM.YYYY HH:mm:ss')}}",
      "width" : "80%"
    } ],
    "label" : "Anlagen",
    "deleteUrl" : "api/scope/{{context.scopeId}}/process/{{context.processId}}/attachment/{{attachmentId}}",
    "downloadUrl" : "api/scope/{{context.scopeId}}/process/{{context.processId}}/attachment-data/{{attachmentId}}",
    "resolveUserDataURL" : "api/scope/{{context.scopeId}}/process/{{context.processId}}/users?id.equals={{userId}}",
    "csrfCookiePath" : "XSRF-TOKEN",
    "taggingExpression" : "",
    "button" : {
      "iconOnly" : true,
      "removeVisibleWhen" : "return false;",
      "showVersion" : false,
      "showOnlyCurrentVersion" : false,
      "showCheckboxCurrentVersion" : false
    },
    "mask" : false,
    "tableView" : true,
    "type" : "attachments",
    "input" : true,
    "key" : "anlagen",
    "components" : [ ],
    "placeholder" : "",
    "prefix" : "",
    "customClass" : "",
    "suffix" : "",
    "multiple" : false,
    "defaultValue" : null,
    "protected" : false,
    "unique" : false,
    "persistent" : true,
    "hidden" : false,
    "clearOnHide" : true,
    "dataGridLabel" : false,
    "labelPosition" : "top",
    "labelWidth" : 30,
    "labelMargin" : 3,
    "description" : "",
    "errorLabel" : "",
    "tooltip" : "",
    "hideLabel" : true,
    "tabindex" : "",
    "disabled" : false,
    "autofocus" : false,
    "dbIndex" : false,
    "customDefaultValue" : "",
    "calculateValue" : "",
    "widget" : null,
    "refreshOn" : "",
    "clearOnRefresh" : false,
    "validateOn" : "change",
    "validate" : {
      "required" : false,
      "custom" : "",
      "customPrivate" : false
    },
    "conditional" : {
      "show" : null,
      "when" : null,
      "eq" : ""
    },
    "id" : "e9zp29e"
  } ]
}